Emgmbh\UserBundle\Entity\WorkerJobTermination:
    type: entity
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY

    fields:
        dateLegal:
            type: date
            nullable: true
        dateAlternative:
            type: date
            nullable: true
        dateLastDay:
            type: date
            nullable: true
        reason:
            type: string
            nullable: true
        city:
            type: string
        date:
            type: date
        createdAt:
            type: datetime
            gedmo:
                timestampable:
                    on: create

    manyToOne:
        worker:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
            inversedBy: jobTerminations
        leader:
            targetEntity: Emgmbh\UserBundle\Entity\Worker
        market:
            targetEntity: Emgmbh\MarketBundle\Entity\Market
            joinColumns:
                market_number:
                    nullable: false
                    referencedColumnName: number